﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using BPASmartClient.DialogWindow;
using BPASmartClient.ViewModel;
using BPASmartClient.ViewModel.Model;

namespace BPASmartClient.Control
{
    /// <summary>
    /// ShopDeviceConfigView.xaml 的交互逻辑
    /// </summary>
    public partial class ShopDeviceConfigView : UserControl
    {
        public ShopDeviceConfigView()
        {
            InitializeComponent();
        }

        private void IcoButton_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            NewShopWindow newShopWindow = new NewShopWindow();
            newShopWindow.ShowDialog();
        }

        private void TreeView_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {

            Refresh();
        }

        private void tv_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            //if (e.ButtonState == MouseButtonState.Pressed)
            //{
            //    Refresh();
            //}
        }

        private void Refresh()
        {
            if (this.tv.SelectedValue is DeviceConfigModel deviceConfigModel)
            {
                //ShopDeviceConfigViewModel.ShopName = deviceConfigModel.ShopName;
            }
            else if (this.tv.SelectedValue is DeviceModel deviceModel)
            {
                ShopDeviceConfigViewModel.DeviceParVisibility = Visibility.Visible;
                ShopDeviceConfigViewModel.CommunicationVisibility = Visibility.Hidden;
                //ShopDeviceConfigViewModel.DeviceName = deviceModel.DeviceName;
            }
            else if (this.tv.SelectedValue is CommunicationModel communicationModel)
            {
                ShopDeviceConfigViewModel.CommunicationVisibility = Visibility.Visible;
                ShopDeviceConfigViewModel.DeviceParVisibility = Visibility.Hidden;
                //ShopDeviceConfigViewModel.CommunicationName = communicationModel.CommunicationName;
                //ShopDeviceConfigViewModel.DeviceModelId = communicationModel.DeviceModelId;
            }
        }

        private void tv_PreviewMouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void DeviceInfo(object sender, MouseButtonEventArgs e)
        {
            var tb = sender as TextBlock;
            if (tb != null)
            {
                //ShopDeviceConfigViewModel.DeviceName = tb.Text.Trim();
                //tb.Background = Brushes.Blue;
            }
        }
        private void CommunicationInfo(object sender, MouseButtonEventArgs e)
        {
            //var tb = sender as TextBlock;
            //if (tb != null)
            //{
            //    ShopDeviceConfigViewModel.CommunicationName = tb.Text.Trim();
            //    ShopDeviceConfigViewModel.DeviceModelId = tb.Tag.ToString();
            //    tb.Focus();
            //    //tb.Background = Brushes.Blue;

            //}
        }
    }
}
